Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Interface XisSymbolic

public interface XisSymbolic

Represent a data set where X is a symbolic values. Each symbolic value is linked with an Integer.

Author:
  Anthony Boulestreau

Method Summary
`java.lang.String` | `getXSymbolicValue(java.lang.Integer val)` Returns the symbolic value linked with the specified `Integer`.
`java.lang.String` | `getXSymbolicValue(int series, int item)` Returns the symbolic value of the data set specified by `series` and `item` parameters.
`java.lang.String[]` | `getXSymbolicValues()` Returns the list of symbolic values.

Method Detail

### getXSymbolicValues

    public java.lang.String[] getXSymbolicValues()

  Returns the list of symbolic values.

  Returns:
    array of symbolic value.

### getXSymbolicValue

    public java.lang.String getXSymbolicValue(int series,
                                              int item)

  Returns the symbolic value of the data set specified by `series` and `item` parameters.

  Parameters:
    `series` - value of the serie.
    `item` - value of the item.
  Returns:
    the symbolic value.

### getXSymbolicValue

    public java.lang.String getXSymbolicValue(java.lang.Integer val)

  Returns the symbolic value linked with the specified `Integer`.

  Parameters:
    `val` - value of the integer linked with the symbolic value.
  Returns:
    the symbolic value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD